%define anolis_release 2

Name:           pigz
Version:        2.7
Release:        %{anolis_release}%{?dist}
Summary:        Parallel implementation of gzip
License:        zlib
URL:            https://www.zlib.net/pigz/
Source0:        https://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         0001-Fix-NOTHREAD-compile-error-for-combination-code.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  ncompress
BuildRequires:  zlib-devel

%description
pigz, which stands for parallel implementation of gzip,
is a fully functional replacement for gzip that exploits
multiple processors and multiple cores to the hilt when
compressing data.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
install -p -D pigz $RPM_BUILD_ROOT%{_bindir}/pigz
pushd $RPM_BUILD_ROOT%{_bindir}; ln pigz unpigz; popd
install -p -D pigz.1 -m 0644 $RPM_BUILD_ROOT%{_datadir}/man/man1/pigz.1

%generate_compatibility_deps

%check
make tests CFLAGS="$RPM_OPT_FLAGS"

%files
%license README
%dir %{abidir}
%{_bindir}/pigz
%{abidir}/pigz-option.list
%{_bindir}/unpigz
%{abidir}/unpigz-option.list
%{_datadir}/man/man1/pigz.*

%files doc
%doc pigz.pdf README

%changelog
* Mon Feb 13 2023 Feng Su <sufeng@linux.alibaba.com> - 2.7-2
- add doc package and abi/api files

* Fri Mar 11 2022 Yaobin Shi <shiyaobin.syb@alibaba-inc.com> - 2.7-1
- Fix NOTHREAD compile error
- Init for Anolis OS 23
